commit:     5228e40e52c8d52a635254d9dba48b22cbafd492
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 19 23:08:47 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 19 23:08:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5228e40e

sys-auth/oath-toolkit: add 2.6.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-auth/oath-toolkit/Manifest                  |  1 +
 sys-auth/oath-toolkit/oath-toolkit-2.6.9.ebuild | 65 +++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/sys-auth/oath-toolkit/Manifest b/sys-auth/oath-toolkit/Manifest
index f462178014ea..ffcfbe9528bf 100644
--- a/sys-auth/oath-toolkit/Manifest
+++ b/sys-auth/oath-toolkit/Manifest
@@ -1 +1,2 @@
 DIST oath-toolkit-2.6.7.tar.gz 5625279 BLAKE2B 
23f377c51eb633bf01d6085d33c7362cd91b6bed1cf4c2bbf32dc9433849e20c53f6896b16e5056b13f420f6a65a3c593fa1dafd7e184ed9e52666d94a7f75d1
 SHA512 
50edff75c8366887d69cf4740c4cc3bdfc3e43cbd4910ff40f735bca489f0953d7e5a21130f12782ac7a1f2fb00f0db313aff139085f23daba78a69bc7b2eb12
+DIST oath-toolkit-2.6.9.tar.gz 4693524 BLAKE2B 
572512311bbfa18d325c7b9b8d88ff85c05241c9a22942bc67edf531ed621e68b031dc4562bd8473ec1b1bfe264c8a4084c1c304ba0d24914acc5b21325b8601
 SHA512 
6e96b5a926f6e2448661fef267dcf9c99167b7bdfc71e319d2ab7ddc051a7be002043485547ad83744209c25ea0d87f8e28f25cccd6856281321f3d22e3cf160

diff --git a/sys-auth/oath-toolkit/oath-toolkit-2.6.9.ebuild 
b/sys-auth/oath-toolkit/oath-toolkit-2.6.9.ebuild
new file mode 100644
index 000000000000..8fe048cf69f0
--- /dev/null
+++ b/sys-auth/oath-toolkit/oath-toolkit-2.6.9.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pam
+
+DESCRIPTION="Toolkit for using one-time password authentication with HOTP/TOTP 
algorithms"
+HOMEPAGE="https://www.nongnu.org/oath-toolkit/";
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="pam static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       dev-libs/icu:=
+       dev-libs/libxml2
+       dev-libs/xmlsec:=
+       pam? ( sys-libs/pam )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       dev-util/gtk-doc-am
+       test? ( dev-libs/libxml2 )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       MIN # glibc fp
+)
+
+src_configure() {
+       local myeconfargs=(
+               --enable-pskc
+               $(use_enable test xmltest)
+               $(use_enable pam)
+               $(use_with pam pam-dir $(getpam_mod_dir))
+               $(use_enable static-libs static)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       # Without keep-going, it will bail out after the first testsuite 
failure,
+       # skipping the other testsuites. as they are mostly independent, this 
sucks.
+       emake --keep-going check
+
+       # Avoid errant QA notice for no tests run on these
+       rm -f libpskc/gtk-doc/test-suite.log liboath/gtk-doc/test-suite.log || 
die
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -type f -delete || die
+
+       if use pam; then
+               newdoc pam_oath/README README.pam
+       fi
+
+       doman pskctool/pskctool.1
+}

Reply via email to